Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole.ui
Class CompletionWindow.MethodeModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.artenum.jyconsole.ui.CompletionWindow.MethodeModel

All Implemented Interfaces:
  javax.swing.ListModel, java.io.Serializable

Enclosing class:
  CompletionWindow

public class CompletionWindow.MethodeModel
extends javax.swing.AbstractListModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`CompletionWindow.MethodeModel()`

Method Summary
`java.lang.Object` | `getElementAt(int index)`
`int` | `getSize()`
`void` | `setFilter(java.lang.String filter)`
`void` | `updateData(java.util.Collection list)`
`void` | `updateData(java.lang.reflect.Method[] methodList)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompletionWindow.MethodeModel

    public CompletionWindow.MethodeModel()

Method Detail

### getElementAt

    public java.lang.Object getElementAt(int index)

### getSize

    public int getSize()

### setFilter

    public void setFilter(java.lang.String filter)

### updateData

    public void updateData(java.util.Collection list)

### updateData

    public void updateData(java.lang.reflect.Method[] methodList)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com